Bug 58444 - warnquota references /usr/sbin/sendmail/sendmail
Summary: warnquota references /usr/sbin/sendmail/sendmail
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota   
(Show other bugs)
Version: 7.2
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-16 20:15 UTC by Paul Moore
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 00:24:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Moore 2002-01-16 20:15:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
warnquota tries to send mail using /usr/sbin/sendmail/sendmail, which
does not exist. When sendmail is moved from /usr/sbin/sendmail to 
/usr/sbin/sendmail/sendmail, warnquota operates as expected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Edit and set parameters in /etc/warnquota.conf
2. warnquota
	

Actual Results:  sh-2.05# warnquota
sh: /usr/sbin/sendmail/sendmail: Not a directory


Expected Results:  Mail should have been sent to users breeching their quota.

Additional info:

When sendmail is moved from /usr/sbin/sendmail to /usr/sbin/sendmail/sendmail, 
warnquota operates as expected.
Unfortunately, I haven't figured out a way to work around this without breaking 
sendmail on the system.

Comment 1 Matt Selsky 2002-04-07 14:33:17 UTC
sendmail should be at /usr/sbin/sendmail.  What happens when you edit
/etc/warnquota.conf to point MAIL_CMD to "/usr/sbin/sendmail -t" instead of
"/usr/sbin/sendmail/sendmail -t"?

Comment 2 Paul Moore 2002-04-09 00:23:59 UTC
Changing /etc/warnquota.conf to point MAIL_CMD to "/usr/sbin/sendmail -t" 
instead of "/usr/sbin/sendmail/sendmail -t" works without a problem.
It's simply a matter of the default value be MAIL_CMD being set incorrectly
for RedHat (most?) systems then.


Comment 3 Phil Copeland 2002-08-06 19:09:26 UTC
I actually have quota-3.06-2 sitting in errata waiting to be released.

Actually it's the same package as you can find in rawhide
(ftp://ftp.redhat.com:/pub/redhat/linux/rawhide/SRPMS/SRPMS/). It has this
anomoly fixed and should work fine on 7.2 (famous last words)

[root@alpha quota-tools]# find . -type f -exec grep sendmail {} \;
msgid "/usr/lib/sendmail -t"
MAIL_CMD        = "/usr/sbin/sendmail -t"
#define MAIL_CMD "/usr/lib/sendmail -t"
Binary file ./warnquota.o matches
Binary file ./warnquota matches


Comment 4 Phil Copeland 2002-08-06 19:10:50 UTC
(before you yell..)

[root@alpha quota-tools]# ls -l /usr/lib/sendmail
lrwxrwxrwx    1 root     root           16 May 21 07:18 /usr/lib/sendmail ->
../sbin/sendmail

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.